---
title: Digest
slug: Web/HTTP/Headers/Digest
tags:
  - HTTP
  - HTTP Header
---
<div>{{HTTPSidebar}}</div>

<p>The <code><strong>Digest</strong></code> response HTTP header provides a {{Glossary("digest")}} of the requested resource.</p>

<p>In <a href="https://tools.ietf.org/html/rfc7231">RFC 7231</a> terms this is the <em>selected representation</em> of a resource. The selected representation depends on the <code><a href="/en-US/docs/Web/HTTP/Headers/Content-Type">Content-Type</a></code> and <code><a href="/en-US/docs/Web/HTTP/Headers/Content-Encoding">Content-Encoding</a></code> header values: so a single resource may have multiple different digest values.</p>

<p>The digest is calculated over the entire representation. The representation itself may be:</p>

<ul>
 <li>fully contained in the response message body</li>
 <li>not at all contained in the message body (for example, in a response to a <code><a href="/en-US/docs/Web/HTTP/Methods/HEAD">HEAD</a></code> request)</li>
 <li>partially contained in the message body (for example, in a response to a <a href="/en-US/docs/Web/HTTP/Range_requests">range request</a>).</li>
</ul>

<table class="properties">
 <tbody>
  <tr>
   <th scope="row">Header type</th>
   <td>{{Glossary("Response header")}}</td>
  </tr>
  <tr>
   <th scope="row">{{Glossary("Forbidden header name")}}</th>
   <td>no</td>
  </tr>
 </tbody>
</table>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">Digest: &lt;digest-algorithm&gt;=&lt;digest-value&gt;

Digest: &lt;digest-algorithm&gt;=&lt;digest-value&gt;,&lt;digest-algorithm&gt;=&lt;digest-value&gt;
</pre>

<h2 id="Directives">Directives</h2>

<dl>
 <dt><code>&lt;digest-algorithm&gt;</code></dt>
 <dd>Supported digest algorithms are defined in <a href="https://tools.ietf.org/html/rfc3230">RFC 3230</a> and <a href="https://tools.ietf.org/html/rfc5843">RFC 5843</a>, and include <code>SHA-256</code> and <code>SHA-512</code>. Some of the supported algorithms, including <code>unixsum</code> and <code>MD5</code> are subject to collisions and are thus not suitable for applications in which collision-resistance is important.</dd>
 <dt><code>&lt;digest-value&gt;</code></dt>
 <dd>The result of applying the digest algorithm to the resource representation and encoding the result. The choice of digest algorithm also determines the encoding to use: for example <code>SHA-256</code> uses base64 encoding.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<pre class="syntaxbox">Digest: sha-256=X48E9qOokqqrvdts8nOJRJN3OWDUoyWxBf7kbu9DBPE=
Digest: sha-256=X48E9qOokqqrvdts8nOJRJN3OWDUoyWxBf7kbu9DBPE=,unixsum=30637</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Title</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>
    <p><a class="smpl" href="https://datatracker.ietf.org/doc/draft-ietf-httpbis-digest-headers">draft-ietf-httpbis-digest-headers-latest</a></p>
   </td>
   <td>Resource Digests for HTTP</td>
  </tr>
 </tbody>
</table>

<p>This header was originally defined in <a href="https://tools.ietf.org/html/rfc3230">RFC 3230</a>, but the definition of "selected representation" in <a href="https://www.rfc-editor.org/info/rfc7231">RFC 7231</a> made the original definition inconsistent with current HTTP specifications. When released, The "Resource Digests for HTTP" draft therefore will obsolete RFC 3230 and will update the standard to be consistent.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p class="hidden">The compatibility table in this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>

<p>{{Compat("http.headers.Digest")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{HTTPHeader("Want-Digest")}}</li>
 <li><a href="/en-US/docs/Web/HTTP/Range_requests">HTTP range requests</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Status/206" title="The HTTP 206 Partial Content success status response code indicates that the request has succeeded and has the body contains the requested ranges of data, as described in the Range header of the request."><code>206 Partial Content</code></a></li>
</ul>
